aboutsummaryrefslogtreecommitdiffstats
path: root/classes
AgeCommit message (Collapse)AuthorFilesLines
2016-07-24ruby.bbclass: pass LDFLAGS via dldflags to avoid QA warningsMark Asselstine1-0/+1
Ruby makes use of the lesser known DLDFLAGS to compose flags passed to the linker. Since DLDFLAGS is composed of arch, ldflags and dldflags instead of overwriting DLDFLAGS we drop the correct flags into dldflags. (lowercase vs uppercase) This will avoid the following QA warnings, such as: No GNU_HASH in the elf binary: './tmp/work/core2-64-overc-linux/ruby-shadow/2.4.1-r0/packages-split/ruby-shadow/usr/lib64/ruby/gems/2.2.0/gems/ruby-shadow-2.4.1/lib/shadow.so' No GNU_HASH in the elf binary: './tmp/work/core2-64-overc-linux/ruby-shadow/2.4.1-r0/packages-split/ruby-shadow/usr/lib64/ruby/gems/2.2.0/extensions/x86_64-linux/2.2.0/ruby-shadow-2.4.1/shadow.so' [ldflags] Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2016-06-07ruby: fix TypeError exception triggered by python3Paul Gortmaker1-1/+1
The error appears as follows: ERROR: Failure expanding variable RUBY_GEM_VERSION, expression was ${@get_rubygemsversion("build/tmp/sysroots/x86_64-linux/usr/bin")} which triggered exception TypeError: can't use a string pattern on a bytes-like object Adding an explicit utf-8 decode makes it work again. Similar fixes appear in git://git.pokylinux.org/poky 3e309e0aad Signed-off-by: Paul Gortmaker <paul.gortmaker@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2016-01-19ruby-shadow: Work around cross compile gem problemJason Wessel1-0/+31
Prior to this commit it is not possible to cross build a ruby gem. In fact even on the x86 system the object files for the native gem are generated with the wrong compiler (the host compiler instead of the cross compiler). A better way to fix this in the future would be to use only gems that supported cross compile tool called rake. For now the bbclass can modify the extconf.rb just before creating the gem and insert some code into the Makefile so as to honor the cross compile environment. Signed-off-by: Jason Wessel <jason.wessel@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2015-09-16ruby.bbclass: move to base layerMark Asselstine1-0/+131
In commit 1aa30310259027ebb87ee95ef914ca3de55d6a09 [puppet: move to base layer] we made puppet available to all sub-layers but since we didn't move the required ruby.bbclass we couldn't actually use it without using meta-openstack. Complete the move by moving the ruby.bbclass to the base layer. At some point I think we still want to remove ruby.bbclass from meta-cloud-services completely and use meta-ruby, but we will do that at another time. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>